Bug 171582 - battery not detected
Summary: battery not detected
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
(Show other bugs)
Version: 5
Hardware: x86_64 Linux
medium
medium
Target Milestone: ---
Assignee: Dave Jones
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: FCMETA_ACPI
TreeView+ depends on / blocked
 
Reported: 2005-10-23 19:15 UTC by Kevac Marko
Modified: 2015-01-04 22:22 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-16 20:45:03 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg | grep ACPI (4.38 KB, text/plain)
2005-11-11 06:51 UTC, Kevac Marko
no flags Details

Description Kevac Marko 2005-10-23 19:15:20 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; ru-RU; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc4 Firefox/1.0.7

Description of problem:
Battery is not detected on my Acer Aspire 5014 laptop on new kernel-2.6.13-1.1532 and also on previous kernel-2.6.13-1.1526_FC4, but detected well on kernel-2.6.12-1.1456_FC4

Version-Release number of selected component (if applicable):
kernel-2.6.13-1.1532

How reproducible:
Always

Steps to Reproduce:
1. Power on Acer Aspire 5014
2. Boot fedora with kernel-2.6.13-*
3. ls -la /proc/acpi/battery

Actual Results:  There is nothing in /proc/acpi/battery

Expected Results:  There should be a battery information

Additional info:

I suppose something has changed in kernel-2.6.13-*

Comment 1 Kevac Marko 2005-10-23 19:19:04 UTC
Battery is SBS (smart battery system)

Comment 2 Dave Jones 2005-11-10 19:53:37 UTC
2.6.14-1.1637_FC4 has been released as an update for FC4.
Please retest with this update, as a large amount of code has been changed in
this release, which may have fixed your problem.

Thank you.


Comment 3 Kevac Marko 2005-11-11 06:51:24 UTC
Created attachment 120920 [details]
dmesg | grep ACPI

dmesg | grep ACPI

Comment 4 Kevac Marko 2005-11-11 06:52:52 UTC
Situation is the same =( Battery is not detected.

Comment 5 Dave Jones 2006-02-03 05:48:15 UTC
This is a mass-update to all currently open kernel bugs.

A new kernel update has been released (Version: 2.6.15-1.1830_FC4)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

Thank you.


Comment 6 Kevac Marko 2006-02-03 10:57:09 UTC
Everything is good with ac_burst=1 kernel parameter.

Comment 7 Dave Jones 2006-09-17 02:41:10 UTC
[This comment added as part of a mass-update to all open FC4 kernel bugs]

FC4 has now transitioned to the Fedora legacy project, which will continue to
release security related updates for the kernel.  As this bug is not security
related, it is unlikely to be fixed in an update for FC4, and has been migrated
to FC5.

Please retest with Fedora Core 5.

Thank you.


Comment 8 Dave Jones 2006-10-16 18:52:34 UTC
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.

Comment 9 Kevac Marko 2006-10-16 19:02:01 UTC
You can close it right now, because everything is working on last kernels.


Note You need to log in before you can comment on or make changes to this bug.